/v1/labels/{id}/duplicate
POST
/v1/labels/{id}/duplicate
const url = 'https://example.com/v1/labels/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/duplicate';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","name_line_2":"example","name_line_3":"example","vintage":"example","brand_id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","quantity":1,"use_gs1_digital_link":true,"gtin":"example","consumer_product_variant":"example","formats":[{"quantity":1,"image_id":"example","internal_reference":"example","gtin":"example","consumer_product_variant":"example","lot":"example"}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/labels/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/duplicate \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "name_line_2": "example", "name_line_3": "example", "vintage": "example", "brand_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "quantity": 1, "use_gs1_digital_link": true, "gtin": "example", "consumer_product_variant": "example", "formats": [ { "quantity": 1, "image_id": "example", "internal_reference": "example", "gtin": "example", "consumer_product_variant": "example", "lot": "example" } ] }'Duplicate a label through the server-side Action. Copies all label parts and formats under a fresh ref. Omitted body fields default to the source label. Quantity, GTIN and consumer product variant default to its default bottle format, or to the label when no default format exists. formats replaces the copied format set.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Request Body
Section titled “Request Body”Media typeapplication/json
object
name
string
name_line_2
string
name_line_3
string
vintage
string
brand_id
string format: uuid
quantity
Fill volume in MILLILITRES, e.g. 750 or 1500
integer
use_gs1_digital_link
boolean
gtin
string
consumer_product_variant
string
formats
Array<object>
object
quantity
required
Fill volume in MILLILITRES, e.g. 750 or 1500
integer
image_id
string
internal_reference
string
gtin
string
consumer_product_variant
string
lot
string
Example generated
{ "name": "example", "name_line_2": "example", "name_line_3": "example", "vintage": "example", "brand_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "quantity": 1, "use_gs1_digital_link": true, "gtin": "example", "consumer_product_variant": "example", "formats": [ { "quantity": 1, "image_id": "example", "internal_reference": "example", "gtin": "example", "consumer_product_variant": "example", "lot": "example" } ]}Responses
Section titled “Responses”The id of the new label
Media typeapplication/json
object
id
required
string format: uuid
Example generated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}Invalid body
Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
number
detail
string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example"}Missing or invalid bearer token
Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
number
detail
string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example"}Not a member of the workspace
Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
number
detail
string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example"}Label not found
Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
number
detail
string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example"}Upstream error
Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
number
detail
string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example"}